Bug 808175 - Monitor>Traits subtab should provide a Get Live Value button
Monitor>Traits subtab should provide a Get Live Value button
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2012-03-29 14:12 EDT by Ian Springer
Modified: 2013-09-01 06:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-01 06:14:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-03-29 14:12:28 EDT
It would be helpful if the Monitor>Traits subtab provided a Get Live Value button that could be used to retrieve live values for the selected trait(s) - similar to the Get Live Value button on the Monitor>Tables subtab.
Comment 1 Jirka Kremser 2012-07-12 05:25:59 EDT
New method for getting the live values for a group of resources on the MeasurementDataManagerBean was introduced. In UI, the similar approach as in table monitoring was chosen, i.e. modal window with obtained live values is shown, when the button is clicked.


git log master
time:    Thu Jul 12 11:17:15 2012 +0200
commit:  6307139046317a3b9d0037e542197182c7ba1519
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ Bug 808175 - Monitor>Traits subtab should provide a Get Live Value button] Added support for "getting live value" for resource's traits as well as for group's traits
Comment 2 Jirka Kremser 2012-07-16 15:03:46 EDT
unit tests: 06f1af5
Comment 4 Heiko W. Rupp 2013-09-01 06:14:53 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.